Bug 1565734 - Disk utilization and carbon data archiving behaviour
Summary: Disk utilization and carbon data archiving behaviour
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-RHGS_Web_Administration
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: storage-doc
QA Contact: Martin Bukatovic
URL:
Whiteboard:
Depends On:
Blocks: 1623518
TreeView+ depends on / blocked
 
Reported: 2018-04-10 15:56 UTC by Filip Balák
Modified: 2019-02-15 10:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-15 10:10:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Graphite data archived in same disk (35.80 KB, image/png)
2018-04-30 11:35 UTC, gowtham
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1526338 0 unspecified CLOSED [RFE] Enhance unmanage cluster workflow to remove only specified (affected) cluster 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1571906 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Bugzilla 1631171 0 unspecified CLOSED [Doc RFE] Document the procedure for changing the metric retention period in graphite 2021-02-22 00:41:40 UTC

Internal Links: 1526338 1571906 1631171

Description Filip Balák 2018-04-10 15:56:04 UTC
Description of problem:
It's suggested that graphite/carbon data stored in `/var/lib/carbon` is placed
on a separate disk device[1].

When a cluster is unmanaged[2], all data from graphite related to cluster
is moved from `/var/lib/carbon/whisper/tendrl/clusters/<cluster_id>` to
`/usr/share/tendrl/graphite/archive/clusters/<cluster_id>_<timestamp>`.

This is very demanding on disk utilization as these data could be very large
and the disk space for carbon data is preallocated by WA right after cluster is
created.

In documentation there should be provided information about this behaviour
during cluster unmanage and that the archived data will end up on root disk
partition after unmanage task is completed although graphite/carbon could be
located on a separate disk.

[1] https://github.com/Tendrl/documentation/wiki/Tendrl-release-v1.6.2-(install-guide)#tendrl-server-system-requirements
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1526338

Comment 1 Filip Balák 2018-04-10 15:57:49 UTC
* Is this statement correct?
* Are there any plans about changing this behaviour?

Comment 2 gowtham 2018-04-30 11:35:22 UTC
Created attachment 1428802 [details]
Graphite data archived in same disk

Comment 3 gowtham 2018-04-30 11:36:08 UTC
I have modified the logic to copy the graphite data into same disk where graphite data are stored

Comment 4 gowtham 2018-04-30 11:36:34 UTC
I have modified the logic to copy the graphite data into same disk where graphite data are stored

Comment 5 Nishanth Thomas 2018-05-08 06:19:06 UTC
@fbalak, Please take a look at https://bugzilla.redhat.com/show_bug.cgi?id=1571906. Hence this bug is not relevant any more and we should consider closing this bug.

Comment 6 Martin Bukatovic 2018-06-07 07:12:02 UTC
(In reply to Nishanth Thomas from comment #5)
> @fbalak, Please take a look at
> https://bugzilla.redhat.com/show_bug.cgi?id=1571906. Hence this bug is not
> relevant any more and we should consider closing this bug.

This is a good point, but instead of closing this BZ, we may need to update
it with the new expected behavior. One should still be aware that the archival
is happening, where the files are stored and how much space it could take.

Comment 8 Nishanth Thomas 2018-10-10 13:01:16 UTC
Data is archived at:

'/var/lib/carbon/whisper/tendrl/' where  `/var/lib/carbon` is mounted on a separate disk as per the recommendation.

I don't think size need not be specified here as it depends on the size of the cluster. One could look at the hw sizing guide for the approximate calculation.

Comment 10 Martin Bukatovic 2018-12-17 14:02:11 UTC
I would suggest to use full path of the cluster archives, which is:

```
/var/lib/carbon/whisper/tendrl/archive/clusters
```

unless WA can archive something else in /var/lib/carbon/whisper/tendrl/archive/
directory I'm not aware off.

Nishant, could you verify that there is nothing else but clusters archived there?

Comment 11 Rakesh 2018-12-17 15:11:13 UTC
(In reply to Martin Bukatovic from comment #10)
> I would suggest to use full path of the cluster archives, which is:
> 
> ```
> /var/lib/carbon/whisper/tendrl/archive/clusters
> ```
> 
> unless WA can archive something else in
> /var/lib/carbon/whisper/tendrl/archive/
> directory I'm not aware off.
> 
> Nishant, could you verify that there is nothing else but clusters archived
> there?

Martin, 

Appended the full path of cluster archives:

https://access.qa.redhat.com/documentation/en-us/red_hat_gluster_storage/3.4/html-single/monitoring_guide/#graphite_and_carbon_data_archival

If Nishanth confirms otherwise, we will discard "cluster"

Comment 12 Nishanth Thomas 2018-12-18 06:16:27 UTC
There is nothing else archived into `/var/lib/carbon/whisper/tendrl/archive` directory.

Comment 13 Martin Bukatovic 2018-12-18 08:04:14 UTC
Based on info from Nishanth (comment 12), we don't need to change the text further.

Moving to VERIFIED.

Comment 14 Martin Bukatovic 2018-12-18 08:09:19 UTC
Fixing status.


Note You need to log in before you can comment on or make changes to this bug.